com.google.appengine.api.search.checkers

## Class GetRequestChecker

- java.lang.Object
- - com.google.appengine.api.search.checkers.GetRequestChecker

-     public class GetRequestChecker
      extends java.lang.Object

  Checks values of `GetRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetRequestChecker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `checkLimit(int limit)` Checks whether the number of documents to return is between 0 and the maximum.
    `static ListDocumentsParams` | `checkListDocumentsParams(ListDocumentsParams params)` Checks the values of the `ListDocumentsParams` params.
    `static java.lang.String` | `checkStartDocId(java.lang.String startDocId)` Checks whether the given start document Is legal.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetRequestChecker

          public GetRequestChecker()

  - ### Method Detail

    - #### checkLimit

          public static int checkLimit(int limit)

      Checks whether the number of documents to return is between 0 and the maximum.
      Parameters:
        `limit` - the maximum number of documents to return in results list
      Returns:
        the checked number of documents to return
      Throws:
        `java.lang.IllegalArgumentException` - if the number of documents to return is out of range

    - #### checkStartDocId

          public static java.lang.String checkStartDocId(java.lang.String startDocId)

      Checks whether the given start document Is legal.
      Parameters:
        `startDocId` - the start ocument Id to be checked.
      Returns:
        the checked start document Id.
      Throws:
        `java.lang.IllegalArgumentException` - if the start document Id is illegal.

    - #### checkListDocumentsParams

          public static ListDocumentsParams checkListDocumentsParams(ListDocumentsParams params)

      Checks the values of the `ListDocumentsParams` params.
      Parameters:
        `params` - The `ListDocumentsParams` to check
      Returns:
        the checked params
      Throws:
        `java.lang.IllegalArgumentException` - if some of the values of params are invalid